<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateMarkersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
      Schema::table('markers', function (Blueprint $table) {
        $table->string('description', 254)->nullable()->change();
        $table->string('bibliography', 254)->nullable()->change();
      });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
      Schema::table('markers', function (Blueprint $table) {
        $table->string('description', 254)->nullable(false)->change();
        $table->string('bibliography', 254)->nullable(false)->change();
      });
    }
}
